package com.keyware.shandan.bianmu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.keyware.shandan.bianmu.entity.DirectoryMembersVo;

import java.util.Collection;
import java.util.List;

/**
 * @author Administrator
 */
public interface DirectoryMembersService extends IService<DirectoryMembersVo> {

    /**
     * 根据目录id查询目录成员
     *
     * @param dirId 目录id
     * @return 目录成员
     */
    List<DirectoryMembersVo> listByDirId(String dirId);

    /**
     * 移除目录成员
     *
     * @param memberId 目录成员id
     */
    void removeByMemberId(String memberId);

    /**
     * 批量移除目录成员
     *
     * @param memberIds 目录成员id集合
     */
    void removeByMemberIds(Collection<String> memberIds);

    List<DirectoryMembersVo> listByUserId(String userId);

    List<DirectoryMembersVo> listByOrgId(String orgId);
}
